Bug 119697 - RFE: add a gendiff that works
Summary: RFE: add a gendiff that works
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: patchutils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-01 15:52 UTC by Mark McLoughlin
Modified: 2016-05-26 13:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 19:35:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark McLoughlin 2004-04-01 15:52:14 UTC
I can't really explain this bug better than the irc log explains it: :-)

<twaugh> markmc: er.. gendiff comes from rpm, not patchutils
<twaugh> markmc: but maybe I should add a gendiff (which works)
<alex> from rpm???
<twaugh> alex: sure, try rpm -qf /usr/bin/gendiff
<alex> but why?
<markmc> twaugh, ah :-)
<markmc> twaugh, that makes no sense ! :-)
<twaugh> markmc: change the summary to 'RFE: add a gendiff that works'
and I'll look at it in a spare moment
<twaugh> markmc: while I'm at it I could make it use -p


This is in reference to a bug I logged against gendiff - bug #11963

Comment 1 Bill Nottingham 2006-08-08 01:54:13 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.


Comment 2 Bill Nottingham 2006-10-18 19:35:21 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Comment 3 Tim Waugh 2007-06-25 09:54:11 UTC
Original bug report:
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119693


Comment 4 Mark McLoughlin 2008-04-24 07:47:36 UTC
Another idea for a new gendiff:

  http://www.redhat.com/archives/fedora-devel-list/2008-April/msg01813.html

It's easy to lose a patch header when you re-diff a patch because you have to do
e.g.

  $> head -10 foo-fix-bar.patch > t.tmp
  $> gendiff foo-1.2.3 .fix-bar >> t.tmp
  $> mv t.tmp foo-fix-bar.patch

but it'd be much nicer to be able to just do:

  $> gendiff foo-1.2.3 .fix-bar foo-fix-bar.patch

and have the patch header retained



Note You need to log in before you can comment on or make changes to this bug.